package cz.moneta.test.dsl.util.task.auto.smartauto.validation;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.auto.smartauto.CustomerPage;
import cz.moneta.test.dsl.auto.smartauto.OthersPage;
import cz.moneta.test.dsl.auto.smartauto.VehiclePage;

import java.util.function.Function;

public class ValidationTasks {

    private final Harness harness;

    public ValidationTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<VehiclePage, OthersPage> validateVehiclePage() {
        return start -> start.clickOthersPage()
                .checkVehiclePageValidation();
    }

    public Function<CustomerPage, VehiclePage> validateCustomerPage() {
        return start -> start.clickVehiclePage()
                .checkCustomerPageValidation();
    }

    public Function<OthersPage, VehiclePage> validateOthersPage() {
        return start -> start.clickVehiclePage()
                .checkOthersPageValidation();
    }
}
